unit Unit1;

{$mode objfpc}{$H+}
{$modeswitch advancedrecords}

interface

uses
  Classes, SysUtils, fgl, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ComCtrls, Buttons, ExtCtrls, MultiButton;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit1: TEdit;
    ImageListTimer: TImageList;
    MultiButtonTimer: TMultiButton;
    StatusBar1: TStatusBar;
    TimerRefresh: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure MultiButtonTimerClick(Sender: TObject);
    procedure TimerRefreshTimer(Sender: TObject);
  private
    FAutoUpdate: boolean;
    procedure SetAutoUpdate(AValue: boolean);
  public
    property AutoUpdate:boolean read FAutoUpdate write SetAutoUpdate;
  end;


var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);

begin
  // Die Klötzchen erscheinen erst, wenn der MultiButton ein mal fokussiert wurde
  // Stelle sicher, dass der MultiButton beim Start *nicht* fokussiert wird
  Self.ActiveControl := Edit1;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
end;

procedure TForm1.SetAutoUpdate(AValue: boolean);

begin
  if FAutoUpdate=AValue then Exit;
  FAutoUpdate:=AValue;
  if FAutoUpdate then
     MultiButtonTimer.ImageIndex := 1
  else
     MultiButtonTimer.ImageIndex := 0;
  TimerRefresh.Enabled:=FAutoUpdate;
end;

procedure TForm1.MultiButtonTimerClick(Sender: TObject);

begin
  AutoUpdate := not AutoUpdate;
end;

procedure TForm1.TimerRefreshTimer(Sender: TObject);

begin
  MultiButtonTimer.ImageIndex := 2;
  StatusBar1.SimpleText := 'Updating: ' + DateTimeToStr(Now());
  Application.ProcessMessages;
  Sleep(3000);
  StatusBar1.SimpleText := '';
  MultiButtonTimer.ImageIndex := 1;
end;

// ---------------------------------------------------------------------
// ------------------------- File Handling -----------------------------
// ---------------------------------------------------------------------

end.

